Subject: cycad and palm seeds

From: DK Johnson <[email-masked]>
Date: 7 May 1995 03:27:45 GMT

I would be interesed in hearing from folks that have cycad and
palm seed for sale or trade. Everything that I grow I keep so
I'm not commerical. I need interesting material to add to my
collection. I have a few seeds that I would give away if you promise
to give them a good home

dkj

---

From: Gary Poyssick <[email-masked]>
Date: 15 May 1995 20:33:11 GMT

I have some good seeds from a variety of dioons. ALso, we have a few 
hundred mature plants that were collected MANY years ago in mexico. some 
very hard-to find stuff. We¹re always interested in trading. Also have 
LOTS of orchid seedlings to trade also.